ifupdown(8)

NAME
ifup - bring a network interface up

ifdown - take a network interface down

SYNOPSIS
ifup [-sinv] [--interfaces=file] [--no-act] [--verbose] [-a|ifaces]

ifdown [-sinv] [--interfaces=file] [--no-act] [--verbose] [-a|ifaces]

DESCRIPTION
The ifup and ifdown commands may be used to configure (or, respectively, deconfigure) network interfaces, based on descriptions of the interfaces entered into the file /etc/network/interfaces.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

-V, --version
    Show copyright and version information.

-a, --all
    Affect all interfaces marked auto.

-i file, --interfaces file
    Read interface definitions from a different file.

-v, --verbose
    Show commands being executed.

-n, --no-act
    Don't actually execute the commands (this doesn't disable mappings, however)

--no-mappings
    Don't run any mappings.

--force
    Force de/configuration of interface.

NOTES
The ifup and ifdown programs don't actually know anything about configuring interfaces themselves but instead invoke lower-level utilities such as ifconfig and route to do the actual dirtywork. The main advantages to using ifup and ifdown instead of calling the lower-level utilities directy is the ability to keep all your interface specifications in a single (easily parsable) file, and to not have to deal with the various idiosyncracies of the lower-level commands.

FILES

/etc/network/interfaces
    Descriptions of all the network interfaces the system has.

/etc/network/ifstate
    Current state of network interfaces.

AUTHOR
The ifupdown suite written by Anthony Towns <aj@azure.humbug.org.au>.

SEE ALSO
interfaces(5), ifconfig(8),